/* Copyright (c) 2010 - 2019, Nordic Semiconductor ASA
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice, this
 * list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form, except as embedded into a Nordic
 *    Semiconductor ASA integrated circuit in a product or a software update for
 *    such product, must reproduce the above copyright notice, this list of
 *    conditions and the following disclaimer in the documentation and/or other
 *    materials provided with the distribution.
 *
 * 3. Neither the name of Nordic Semiconductor ASA nor the names of its
 *    contributors may be used to endorse or promote products derived from this
 *    software without specific prior written permission.
 *
 * 4. This software, with or without modification, must only be used with a
 *    Nordic Semiconductor ASA integrated circuit.
 *
 * 5. Any software provided in binary form under this license must not be reverse
 *    engineered, decompiled, modified and/or disassembled.
 *
 * THIS SOFTWARE IS PROVIDED BY NORDIC SEMICONDUCTOR ASA "AS IS" AND ANY EXPRESS
 * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY, NONINFRINGEMENT, AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL NORDIC SEMICONDUCTOR ASA OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef MESH_OPT_PROVISIONER_H__
#define MESH_OPT_PROVISIONER_H__

#include <stdint.h>

#include "mesh_opt.h"

/**
 * @defgroup MESH_OPT_PROVISIONER access persistent options
 * @ingroup MESH_OPT
 * Runtime configuration for Mesh config ligth switch provisioner functionality.
 * @{
 */

/** @internal @{ */
#define LIGHT_SWITCH_PROVISIONER_FILE_ID 0x0010

MESH_CONFIG_FILE(m_light_switch_provisioner_file, LIGHT_SWITCH_PROVISIONER_FILE_ID, MESH_CONFIG_STRATEGY_CONTINUOUS);

enum
{
    LIGHT_SWITCH_PROVISIONER_RECORD  = 0x0001
};

/** Light switch provisioner mesh config data entry. */
#define LIGHT_SWITCH_PROVISIONER_ENTRY_ID MESH_CONFIG_ENTRY_ID(LIGHT_SWITCH_PROVISIONER_FILE_ID, LIGHT_SWITCH_PROVISIONER_RECORD)

/** @} end of MESH_OPT_PROVISIONER */

#endif /* MESH_OPT_PROVISIONER_H__ */

